Skip to content

List Of Smart Contract Transactions

Endpoint

GET https://api.mycactus.dev/custody/v1/api/projects/{b_id}/wallets/{wallet_code}/contract/orders
GET https://api.mycactus.com/custody/v1/api/projects/{b_id}/wallets/{wallet_code}/contract/orders

Parameters

Path Parameters

FieldTypeDescription
b_id
Required
StringBusiness line ID
wallet_code
Required
StringWallet ID

Query Parameters

FieldTypeDescription
chain
Optional
StringCactus chain name
Allowed Value: Refer to Network Symbol column in Supported Token
keyword
Optional
StringKeyword (can refer to order ID, withdrawal order maker/applicant, contract address)
sort_by_time
Optional
StringSort by time (DESC, ASC)
Default value : DESC - Sort by descending creation time
status
Optional
StringOrder Status
start_time
Optional
IntegerFilter order start timestamp
end_time
Optional
IntegerFilter order end timestamp
limit
Optional
IntegerLimit default as 10
offset
Optional
IntegerOffset default as 0

Response

Response Body

Field Type Description
code Integer Response code (0 = success)
message String Response message
successful Boolean Whether the request was successful
data Object Response data (see data object details below)

data (object)

Field Type Description
offset Integer Offset
limit Integer Limit
total Integer Total number of records
list Object[] List of historical smart contract transactions (see list object details below)

list (object)

FieldTypeDescription
domain_idStringDomain identifier
typeStringTransaction type
order_wallet_info_modelObjectWallet information model
wallet_codeStringWallet code
coin_nameStringCoin/token name
wallet_nameStringWallet name
connect_typeStringConnection type
time_stampLongOrder creation time stamp
block_hashStringBlock hash
miner_feeDecimalMiner fee for executing the contract
miner_fee_strStringMiner fee in string format
order_noStringOrder number
serial_noStringSerial number
contract_addressStringContract address
contract_address_descStringContract address description
contract_address_labelStringContract address label
from_addressStringFrom address
contract_functionStringContract function
contract_function_signatureStringContract function signature
gas_priceDecimalGas price
gas_price_strStringGas price in string format
max_fee_per_gasDecimalMax fee
max_fee_per_gas_strStringMax fee in string format
max_priority_fee_per_gasDecimalPriority fee
max_priority_fee_per_gas_strStringPriority fee in string format
gas_limitDecimalGas limit
gas_limit_strStringGas limit in string format
gas_usedDecimalGas used
gas_used_strStringGas used in string format
contract_dataStringContract data
nonceStringTransaction nonce
applicantStringOrder maker / applicant
statusStringOrder status
Allowed values: FINISHED, FAILED, PROCESSING, ORDER_SEND_OUT, COMPLETED_FAILED, CANCELED, INVALID
ext_statusStringExternal status
inner_statusStringInternal status
amountDecimalWithdrawal amount
amount_strStringWithdrawal amount in string format
tx_idStringTransaction hash
descriptionStringOrder description
deposit_transObject[]Deposit transaction (see deposit_trans / withdraw_trans object details below)
withdraw_transObject[]Withdrawal transaction (see deposit_trans / withdraw_trans object details below)
wallet_idIntegerWallet ID
chainStringChain name
chain_idStringChain ID
payloadStringOriginal request payload
signed_dataStringSigned transaction data
contract_instructionsStringContract instructions
bnameStringBusiness name
bidStringBusiness line ID

deposit_trans / withdraw_trans (object)

Field Type Description
amount Decimal Amount
amount_str String Amount value in string format
coin_name String Coin/token type

Response Example

{
    "code": 0,
    "message": "",
    "data": {
        "offset": 0,
        "limit": 10,
        "list": [
            {
                "domain_id": "bff7b979ff84443fb461a4f72f8fea7a",
                "type": "API_DAPP_TRANSACTION",
                "order_wallet_info_model": null,
                "wallet_code": "DeFiEVM8600875528",
                "coin_name": null,
                "wallet_name": "",
                "connect_type": null,
                "time_stamp": 1681065229000,
                "block_hash": "",
                "miner_fee": 3294023120852006,
                "miner_fee_str": "3294023120852006",
                "order_no": "D996885000271",
                "serial_no": "G4BXC0MLQ1D996885000271",
                "contract_address": "0xa3b3E16CFe7BB04ad379af63De9Ec1d1bc723C11",
                "contract_address_desc": null,
                "contract_address_label": null,
                "from_address": null,
                "contract_function": "0xa9059cbb",
                "contract_function_signature": "0xa9059cbb",
                "gas_price": 71444565151,
                "gas_price_str": "71444565151",
                "max_fee_per_gas": null,
                "max_fee_per_gas_str": null,
                "max_priority_fee_per_gas": null,
                "max_priority_fee_per_gas_str": null,
                "gas_limit": 90000,
                "gas_limit_str": "90000",
                "gas_used": null,
                "gas_used_str": null,
                "contract_data": "0xa9059cbb000000000000000000000000cee33165696af07781f4cc616f4563c2f8c6b1300000000000000000000000000000000000000000000000000000000000000064",
                "nonce": "0",
                "applicant": "test@abc.com",
                "status": "FINISHED",
                "ext_status": null,
                "inner_status": "FINISHED",
                "amount": 0,
                "amount_str": "0",
                "tx_id": "0xaa0b899af3e2be34c89636e3f9f5829d15a197dd8bb0df58331297ec5d191c43",
                "description": "",
                "deposit_trans": [
                    {
                        "amount": 100,
                        "amount_str": "100",
                        "coin_name": "USDTERC"
                    }
                ],
                "withdraw_trans": [
                    {
                        "amount": 100,
                        "amount_str": "100",
                        "coin_name": "USDTERC"
                    }
                ],
                "wallet_id": 18152,
                "chain": null,
                "chain_id": "5",
                "payload": null,
                "signed_data": null,
                "contract_instructions": null,
                "bname": null,
                "bid": "a3de9b7c703e4762974a1df7aafe724f"
            }
        ],
        "total": 1
    },
    "successful": true
}